<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEmployeeAdvanceSalarySchedulesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_advance_salary_schedules', function (Blueprint $table) {
            $table->id();
            $table->integer('u_id')->nullable();
            $table->integer('advance_id')->nullable();
            $table->double('repayment_amount')->default(0);
            $table->double('repaid_amount')->default(0);
            $table->integer('repayment_payroll_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_advance_salary_schedules');
    }
}
